Skip to main content
POST
Record risk-owner acceptance

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

id
string
required

Risk ID

Example:

"rsk_abc123def456"

Body

application/json

Acceptance data (acceptor defaults to the risk owner)

acceptedById
string

Member ID of the acceptor. Defaults to the risk owner (assignee) when omitted.

Example:

"mem_abc123def456"

notes
string

Optional notes recorded with the acceptance.

Example:

"Residual risk reviewed at the Q2 risk review."

Response

Acceptance recorded successfully

id
string

Acceptance event ID

Example:

"rska_abc123def456"

acceptedById
string | null

Member ID of the acceptor (null if since removed)

Example:

"mem_abc123def456"

acceptedByName
string

Acceptor display name, frozen at acceptance

Example:

"Jane Doe"

notes
string | null
Example:

"Residual risk reviewed at the Q2 risk review."

residualLikelihood
enum<string>

Residual likelihood frozen at acceptance

Available options:
very_unlikely,
unlikely,
possible,
likely,
very_likely
Example:

"unlikely"

residualImpact
enum<string>

Residual impact frozen at acceptance

Available options:
insignificant,
minor,
moderate,
major,
severe
Example:

"minor"

level
enum<string>

Risk level of the accepted residual rating

Available options:
very-low,
low,
medium,
high,
very-high
Example:

"low"

levelLabel
string

Human-readable level label

Example:

"Low"

stale
boolean

True when the residual rating changed after this acceptance was recorded — re-acceptance is required

Example:

false

createdAt
string<date-time>

When the acceptance was recorded (server-set, immutable)

authType
enum<string>

How the request was authenticated

Available options:
api-key,
session,
service
authenticatedUser
object

User information (only for session auth)